Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
QtfrNode Struct Reference

`#include <regparse.h>`

## Data Fields
NodeBase | base
int | state
struct _Node * | target
int | lower
int | upper
int | greedy
int | target_empty_info
struct _Node * | head_exact
struct _Node * | next_head_exact
int | is_referred

## Detailed Description

Definition at line 179 of file regparse.h.

## Field Documentation

## ◆ base

NodeBase QtfrNode::base

Definition at line 180 of file regparse.h.

## ◆ greedy

int QtfrNode::greedy

Definition at line 185 of file regparse.h.

## ◆ head_exact

struct _Node* QtfrNode::head_exact

Definition at line 187 of file regparse.h.

## ◆ is_referred

int QtfrNode::is_referred

Definition at line 189 of file regparse.h.

## ◆ lower

int QtfrNode::lower

Definition at line 183 of file regparse.h.

## ◆ next_head_exact

struct _Node* QtfrNode::next_head_exact

Definition at line 188 of file regparse.h.

## ◆ state

int QtfrNode::state

Definition at line 181 of file regparse.h.

## ◆ target

struct _Node* QtfrNode::target

Definition at line 182 of file regparse.h.

## ◆ target_empty_info

int QtfrNode::target_empty_info

Definition at line 186 of file regparse.h.

## ◆ upper

int QtfrNode::upper

Definition at line 184 of file regparse.h.

The documentation for this struct was generated from the following file:

- regparse.h